Bug 1478868 - netstat(8) portion on Timer needs writing
netstat(8) portion on Timer needs writing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: net-tools (Show other bugs)
27
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Michal Ruprich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 07:24 EDT by Jeremy Harris
Modified: 2017-11-28 18:55 EST (History)
5 users (show)

See Also:
Fixed In Version: net-tools-2.0-0.43.20160912git.fc26 net-tools-2.0-0.45.20160912git.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-28 11:25:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for the manpage (981 bytes, patch)
2017-11-21 11:06 EST, Michal Ruprich
no flags Details | Diff

  None (edit)
Description Jeremy Harris 2017-08-07 07:24:47 EDT
Description of problem:
 Missing a description of "Timer" output


Version-Release number of selected component (if applicable):
  net-tools-2.0-0.40.20160329git.fc25.x86_64

How reproducible:
  100%

Steps to Reproduce:
1. man netstat


Actual results:

   Timer
       (this needs to be written)



Expected results:
  (some useful info)

Additional info:

 2012-vintage info, unverified:
   http://vzkernel.blogspot.co.uk/2012/09/description-of-netstat-timers.html

  The useful section:
  1. The 1st field indicates when the timer will expire
  2. The 2nd field is the retransmits which already have done
  3. The 3rd field - for a synreq socket(not yet established) and a timewait socket it's always 0, for a established socket it's 'unanswered 0 window probes'
Comment 1 Fedora End Of Life 2017-11-16 13:34:33 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Jeremy Harris 2017-11-21 06:05:03 EST
Issue still exists on f27.
Comment 3 Michal Ruprich 2017-11-21 11:06 EST
Created attachment 1356847 [details]
Patch for the manpage
Comment 4 Michal Ruprich 2017-11-21 11:08:01 EST
Hi Jeremy,

would you please just take a peek at the patch? Just wondering if the explanation I scrambled is clear.

Thanks.
Comment 5 Jeremy Harris 2017-11-24 04:28:39 EST
Looks good; thanks.
Comment 6 Fedora Update System 2017-11-24 06:55:56 EST
net-tools-2.0-0.45.20160912git.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-890d557660
Comment 7 Fedora Update System 2017-11-24 06:56:06 EST
net-tools-2.0-0.43.20160912git.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cf2b98efe0
Comment 8 Fedora Update System 2017-11-24 19:38:09 EST
net-tools-2.0-0.45.20160912git.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-890d557660
Comment 9 Fedora Update System 2017-11-24 20:35:46 EST
net-tools-2.0-0.43.20160912git.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cf2b98efe0
Comment 10 Fedora Update System 2017-11-28 11:25:35 EST
net-tools-2.0-0.43.20160912git.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2017-11-28 18:55:31 EST
net-tools-2.0-0.45.20160912git.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.